--- chrome/browser/renderer_host/backing_store_x.cc
+++ chrome/browser/renderer_host/backing_store_x.cc
@@ -57,7 +57,11 @@ BackingStore::BackingStore(RenderWidgetHost* widget,
       visual_(visual),
       visual_depth_(depth),
       root_window_(x11_util::GetX11RootWindow()) {
+#if defined(OS_FREEBSD)
+  COMPILE_ASSERT(BYTE_ORDER == LITTLE_ENDIAN, assumes_little_endian);
+#else
   COMPILE_ASSERT(__BYTE_ORDER == __LITTLE_ENDIAN, assumes_little_endian);
+#endif
 
   pixmap_ = XCreatePixmap(display_, root_window_,
                           size.width(), size.height(), depth);
diff --git chrome/browser/renderer_host/browser_render_process_host.cc chrome/browser/renderer_host/browser_render_process_host.cc
index 200fecf..5826ccc 100644
